Loading...
Searching...
No Matches
tuning_step_list Struct Reference
Rig (transceiver) API

Tuning step definition. More...

`#include <rig.h>`

## Data Fields

rmode_t | modes
shortfreq_t | ts

## Detailed Description

Tuning step definition.

Lists the tuning steps available for each mode.

If a ts field in the list has RIG_TS_ANY value, this means the rig allows its tuning step to be set to any value ranging from the lowest to the highest (if any) value in the list for that mode. The tuning step must be sorted in the ascending order, and the RIG_TS_ANY value, if present, must be the last one in the list.

Note also that the minimum frequency resolution of the rig is determined by the lowest value in the Tuning step list.

See also
  rig_set_ts(), rig_get_resolution()

## Field Documentation

## modes

rmode_t tuning_step_list::modes

Bit field of RIG_MODE's

## ts

shortfreq_t tuning_step_list::ts

Tuning step in Hz

The documentation for this struct was generated from the following file:

- rig.h